#include"mbed.h"
#include "C12832.h"

InterruptIn joystickcenter(p14);
InterruptIn button(p9);
DigitalOut led(LED1);
DigitalOut flash(LED4);
C12832 lcd(p5, p7, p6, p8, p11);
int state;
int i=0;

void flip(){
    led=!led;                       // toggles the led when the joystick button is pressed.
    state= 1;
}

int main(){
    joystickcenter.rise(&flip);     //attach the function address to the rising edge
    button.mode(PullUp);            // With this, no external pullup resistor needed
    button.rise(&flip);             // attach the function address to the rising edge
    
    while(1){ //wait around,interrupts will interrupt this!
        if (state == 1){
            i++;
            lcd.locate(0,0);
            lcd.printf("Interrupt Activated x %d", i);  
            state = 0;      
            }
        else
        {
            flash=!flash; // turns LED4 on ifoff, off if on
            wait(0.25);      // the instruction to wait for a quarter-second
        }
    }
}
